<!--
 * @Author: 小明丶
 * @Date: 2020-12-29 09:55:28
 * @LastEditors: 小明丶
 * @LastEditTime: 2021-01-05 17:50:09
 * @Description: 
-->
<template>
    <div class="shsk-detail">
        <van-nav-bar
          left-arrow
          fixed
          left-text="返回"
          @click-left="onClickLeft"
        >
            <div slot="title">
                <h4>{{$route.query.title}}</h4>
            </div>
        </van-nav-bar>
        <van-cell-group>
          <van-cell v-for="item in list" :key="item.payMethodName" title="支付费率" :value="item.fee+'%'" />
        </van-cell-group>
    </div>
</template>
<script>
export default {
    data() {
        return {
            list:[],
        }
    },
    mounted(){
        this.$api.merPayInfo({
            zfbVersion:this.zfbVersion,
            prodId:this.prodId
        }).then(res=>{
            this.list = res.body.payMethods || []
        })
    },
    computed:{
        typeName(){
            return this.$route.query.name
        },
        zfbVersion(){
          return Number(this.$route.query.zfbVersion)
        },
        prodId(){
          return Number(this.$route.query.prodId)
        }
    },
    methods:{
        onClickLeft(){
            this.$router.go(-1)
        }
    }
}
</script>
<style lang="less" scoped>
.shsk-detail{
    min-height: 100vh;
    background: #fafafa;
    padding-top: 54px;
}
</style>